HyperTrackDocs
Orders

Add Custom Order Events

Add Custom order events to an order identified by order handle

POST
/orders/{order_handle}/events

Add Custom order events to an order identified by order handle

Authorization

AuthorizationBasic <token>

In: header

Path Parameters

order_handle*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/orders/string/events" \  -H "Content-Type: application/json" \  -d '{    "events": [      {        "type": "string",        "recorded_at": "string"      }    ]  }'
null
{  "detail": {},  "message": "string"}
{  "detail": {},  "message": "string"}
{  "detail": {    "<location>": {      "<field_name>": [        "string"      ]    }  },  "message": "string"}